Debian Bug report logs - #622731
GHC 7 deb package ships with a stripped libHSghc

version graph

Package: ghc; Maintainer for ghc is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for ghc is src:ghc.

Reported by: "Dr. ERDI Gergo" <gergo@erdi.hu>

Date: Thu, 14 Apr 2011 09:30:03 UTC

Severity: normal

Tags: fixed-upstream

Found in version ghc/7.0.3-1

Fixed in version ghc/7.0.4-1

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#622731; Package ghc. (Thu, 14 Apr 2011 09:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dr. ERDI Gergo" <gergo@erdi.hu>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Thu, 14 Apr 2011 09:30:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Dr. ERDI Gergo" <gergo@erdi.hu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: GHC 7 deb package ships with a stripped libHSghc
Date: Thu, 14 Apr 2011 11:26:35 +0200
Package: ghc
Version: 7.0.3-1
Severity: normal


It seems GHC 7 deb is shipping with a stripped libHSghc. This prevents the loading of the 'ghc' package:

11:21:15 [cactus@galaxy ~]$ ghci -package ghc
GHCi, version 7.0.3: http://www.haskell.org/ghc/  :? for help
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... done.
Loading package array-0.3.0.2 ... linking ... done.
Loading package containers-0.4.0.0 ... linking ... done.
Loading package filepath-1.2.0.0 ... linking ... done.
Loading package old-locale-1.0.0.2 ... linking ... done.
Loading package old-time-1.0.0.6 ... linking ... done.
Loading package unix-2.4.2.0 ... linking ... done.
Loading package directory-1.1.0.0 ... linking ... done.
Loading package pretty-1.0.1.2 ... linking ... done.
Loading package process-1.0.1.5 ... linking ... done.
Loading package Cabal-1.10.1.0 ... linking ... done.
Loading package bytestring-0.9.1.10 ... linking ... done.
Loading package ghc-binary-0.5.0.2 ... linking ... done.
Loading package bin-package-db-0.0.0.0 ... linking ... done.
Loading package hpc-0.5.0.6 ... linking ... done.
Loading package template-haskell ... linking ... done.
Loading package ghc-7.0.3 ... ghc: This ELF file contains no symtab
ghc: panic! (the 'impossible' happened)
  (GHC version 7.0.3 for x86_64-unknown-linux):
	loadArchive "/usr/lib/ghc-7.0.3/ghc-7.0.3/libHSghc-7.0.3.a": failed

Please report this as a GHC bug:  http://www.haskell.org/ghc/reportabug

11:21:22 [cactus@galaxy ~]$ 

I've found the following discussion which seems relevant:
http://haskell.1045720.n5.nabble.com/GHC-5004-yesod-0-7-1-fails-to-build-on-ghc-7-0-2-td3412891.html



-- System Information:
Debian Release: squeeze/sid
  APT prefers maverick-updates
  APT policy: (500, 'maverick-updates'), (500, 'maverick-security'), (500, 'maverick')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-28-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ghc depends on:
ii  gcc                4:4.4.4-1ubuntu2      The GNU C compiler
ii  libbsd-dev         0.2.0-1               utility functions from BSD systems
ii  libc6              2.12.1-0ubuntu10.2    Embedded GNU C Library: Shared lib
ii  libc6-dev          2.12.1-0ubuntu10.2    Embedded GNU C Library: Developmen
ii  libffi-dev         3.0.9-2ubuntu2        Foreign Function Interface library
ii  libffi5            3.0.9-2ubuntu2        Foreign Function Interface library
ii  libgmp-dev         2:5.0.1+dfsg-7        Multiprecision arithmetic library 
ii  libgmp10           2:5.0.1+dfsg-7        Multiprecision arithmetic library
ii  libncurses5        5.7+20100626-0ubuntu1 shared libraries for terminal hand

ghc recommends no packages.

Versions of packages ghc suggests:
pn  ghc-doc                 <none>           (no description available)
ii  ghc-prof                7.0.3-1          Profiling libraries for the Glasgo
pn  haskell-doc             <none>           (no description available)
ii  perl                    5.10.1-12ubuntu2 Larry Wall's Practical Extraction 

-- no debconf information




Added tag(s) pending. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 13:30:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#622731; Package ghc. (Fri, 15 Apr 2011 08:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dr. ERDI Gergo" <gergo@erdi.hu>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 15 Apr 2011 08:15:11 GMT) Full text and rfc822 format available.

Message #12 received at 622731@bugs.debian.org (full text, mbox):

From: "Dr. ERDI Gergo" <gergo@erdi.hu>
To: 622731@bugs.debian.org
Subject: DEB_BUILD_OPTIONS=nostrip
Date: Fri, 15 Apr 2011 10:14:40 +0200 (CEST)
Just letting you know that the workaround of setting DEB_BUILD_OPTIONS to 
nostrip before building the GHC 7 deb apparently fixes the problem.

-- 

  .--= ULLA! =-----------------.
   \     http://gergo.erdi.hu   \
    `---= gergo@erdi.hu =-------'
Synthetic scotch - synthetic commander.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#622731; Package ghc. (Sat, 14 May 2011 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tyson Whitehead <twhitehead@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 14 May 2011 14:12:03 GMT) Full text and rfc822 format available.

Message #17 received at 622731@bugs.debian.org (full text, mbox):

From: Tyson Whitehead <twhitehead@gmail.com>
To: 622731@bugs.debian.org
Subject: Patch for bug in upstream
Date: Sat, 14 May 2011 10:09:05 -0400
[Message part 1 (text/plain, inline)]
Duncan addressed this issue in ghc-head

http://hackage.haskell.org/trac/ghc/ticket/5004

and he included a patch for the 7.0.x branch

http://hackage.haskell.org/trac/ghc/attachment/ticket/5004/linker-partially-
striped-objects-fix.dpatch

Would be nice to get this into Debian's GHC.

Cheers!  -Tyson
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) pending. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Fri, 03 Jun 2011 23:27:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Fri, 03 Jun 2011 23:27:05 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Sat, 09 Jul 2011 22:06:03 GMT) Full text and rfc822 format available.

Notification sent to "Dr. ERDI Gergo" <gergo@erdi.hu>:
Bug acknowledged by developer. (Sat, 09 Jul 2011 22:06:03 GMT) Full text and rfc822 format available.

Message #26 received at 622731-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 622731-close@bugs.debian.org
Subject: Bug#622731: fixed in ghc 7.0.4-1
Date: Sat, 09 Jul 2011 22:03:20 +0000
Source: ghc
Source-Version: 7.0.4-1

We believe that the bug you reported is fixed in the latest version of
ghc, which is due to be installed in the Debian FTP archive:

ghc-doc_7.0.4-1_all.deb
  to main/g/ghc/ghc-doc_7.0.4-1_all.deb
ghc-dynamic_7.0.4-1_amd64.deb
  to main/g/ghc/ghc-dynamic_7.0.4-1_amd64.deb
ghc-haddock_7.0.4-1_amd64.deb
  to main/g/ghc/ghc-haddock_7.0.4-1_amd64.deb
ghc-prof_7.0.4-1_amd64.deb
  to main/g/ghc/ghc-prof_7.0.4-1_amd64.deb
ghc6-doc_7.0.4-1_all.deb
  to main/g/ghc/ghc6-doc_7.0.4-1_all.deb
ghc6-prof_7.0.4-1_all.deb
  to main/g/ghc/ghc6-prof_7.0.4-1_all.deb
ghc6_7.0.4-1_all.deb
  to main/g/ghc/ghc6_7.0.4-1_all.deb
ghc_7.0.4-1.debian.tar.gz
  to main/g/ghc/ghc_7.0.4-1.debian.tar.gz
ghc_7.0.4-1.dsc
  to main/g/ghc/ghc_7.0.4-1.dsc
ghc_7.0.4-1_amd64.deb
  to main/g/ghc/ghc_7.0.4-1_amd64.deb
ghc_7.0.4.orig.tar.bz2
  to main/g/ghc/ghc_7.0.4.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 622731@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated ghc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Jul 2011 19:50:41 +0200
Source: ghc
Binary: ghc ghc-prof ghc-doc ghc-dynamic ghc-haddock ghc6 ghc6-doc ghc6-prof
Architecture: source all amd64
Version: 7.0.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 ghc        - The Glasgow Haskell Compilation system
 ghc-doc    - Documentation for the Glasgow Haskell Compilation system
 ghc-dynamic - Dynamic libraries for the Glasgow Haskell Compilation system
 ghc-haddock - Documentation tool for annotated Haskell source code
 ghc-prof   - Profiling libraries for the Glasgow Haskell Compilation system
 ghc6       - transitional dummy package
 ghc6-doc   - transitional dummy package
 ghc6-prof  - transitional dummy package
Closes: 622731
Changes: 
 ghc (7.0.4-1) unstable; urgency=low
 .
   * New upstream release (Closes: #622731)
Checksums-Sha1: 
 f5d2f259fc61b5991e4b5c8f653045ee03e1a65d 1357 ghc_7.0.4-1.dsc
 469a7ed626e53bf02f1e73713dea61e172106fd5 24205070 ghc_7.0.4.orig.tar.bz2
 4105ce09858d556cd9b5b265e90aac6ea0958014 69966 ghc_7.0.4-1.debian.tar.gz
 9ea4ed1fdbed912839bc14a6869b149aa3ef8a9c 13146332 ghc-doc_7.0.4-1_all.deb
 d893fc8178913f05173182bd6456e84ff84e2b88 24362 ghc6_7.0.4-1_all.deb
 3852a15c834ac68858a04bcce7ea9fcb03af153a 24494 ghc6-doc_7.0.4-1_all.deb
 c1c77beda0a58eff50bfdb723b7b81bf1d5e3f52 24044 ghc6-prof_7.0.4-1_all.deb
 b8188971f387b36c5e310d8504ea5619e02e13e2 39555224 ghc_7.0.4-1_amd64.deb
 4d892ca0783dec74e3b0a5a6729ec047ea7ff8f7 41681616 ghc-prof_7.0.4-1_amd64.deb
 c0b35f1e59372160b922a1dbee4449590eed37e2 18665310 ghc-dynamic_7.0.4-1_amd64.deb
 93882cfb4681e51b9927f67a734ab53395eebb83 5632918 ghc-haddock_7.0.4-1_amd64.deb
Checksums-Sha256: 
 6260b90589db3ed7a3ce93b5843e68eec9e8c1390ecbab19686fc31c5e410eb7 1357 ghc_7.0.4-1.dsc
 1a9b78d9d66c9c21de6c0932e36bb87406a4856f1611bf83bd44539bdc6ed0ed 24205070 ghc_7.0.4.orig.tar.bz2
 4bdc54310be1ae7ddeb9fb1f6c2f54bc456f491d04e22331703123db910ac946 69966 ghc_7.0.4-1.debian.tar.gz
 6beb3941f0d5e6f570c810efc2d4da0bbb5e63ec07b069b4d75342a2597fa054 13146332 ghc-doc_7.0.4-1_all.deb
 c6b987b54ba76ac968385aafc1e74643f895f8fa2701cbe4620b11a9aea42227 24362 ghc6_7.0.4-1_all.deb
 0a2d8d8f592bfde1084edb709e46343dcce5a86d1bbbf1774256a1777c550813 24494 ghc6-doc_7.0.4-1_all.deb
 41478209c415ef70ba2bf6894c51027c26c18bed32f8d39d9105c83288c61e32 24044 ghc6-prof_7.0.4-1_all.deb
 4624a6fec2689d4e9466a82fb2ba372e50fa7faaefb248f31d20a05fd758e73a 39555224 ghc_7.0.4-1_amd64.deb
 70a918e95be1333a780ac1d5649c6e1c97232b9925db19d927f51aed9316c230 41681616 ghc-prof_7.0.4-1_amd64.deb
 9c581e86c2ad202bd6bcc0c11240c44b4254bfc0f5af87011ef2fbe5eaa1ac95 18665310 ghc-dynamic_7.0.4-1_amd64.deb
 769b2f280d06190db8565aea0d94135c8fff1fdc55eea079c5c617e47adde2b8 5632918 ghc-haddock_7.0.4-1_amd64.deb
Files: 
 afd4dabdf174a5a34ad1129350baff85 1357 haskell extra ghc_7.0.4-1.dsc
 f167b0b4538d1a56788f43fcc662b568 24205070 haskell extra ghc_7.0.4.orig.tar.bz2
 3fe7c515d6cd6b934d5ab218747e8c1e 69966 haskell extra ghc_7.0.4-1.debian.tar.gz
 43ac22ea819a5efedffdcc8bdecff457 13146332 doc extra ghc-doc_7.0.4-1_all.deb
 4599c56c2697c8a0306cb218ca342771 24362 haskell extra ghc6_7.0.4-1_all.deb
 f09998175d3f5e8c145f1b3bfae23610 24494 doc extra ghc6-doc_7.0.4-1_all.deb
 54a212a551f193b40927f59fa83e4479 24044 haskell extra ghc6-prof_7.0.4-1_all.deb
 8e015ac1b02b3952f9b5aadede1a46ee 39555224 haskell extra ghc_7.0.4-1_amd64.deb
 e7ec81224ba162c0b4950d2f23c2f9c2 41681616 haskell extra ghc-prof_7.0.4-1_amd64.deb
 0d3d60e616ebf3da8ebab4d10c443683 18665310 haskell extra ghc-dynamic_7.0.4-1_amd64.deb
 a7dc0833396ccaf056541d89f4320f70 5632918 haskell extra ghc-haddock_7.0.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4YpywACgkQ9ijrk0dDIGw/6QCfQ0Ik5V4ASpExJLETvFGnD67o
EJ4AoM2dGSm+7W1lJJAxOu8acYpVgvCs
=Ubdv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 10 Aug 2011 07:35:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:51:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.